# Commands in /vis/sceneHandler/

## /vis/sceneHandler/

Operations on Geant4 scene handlers.

## Sub-directories :

## Commands :

attach [scene-name]

  Attaches scene to current scene handler.
  If scene-name is omitted, current scene is attached. To see scenes and scene handlers, use "/vis/scene/list" and "/vis/sceneHandler/list"

  Available at all Geant4 states.

  Parameters

  scene-name | type s | Omittable : current value is used as the default value. |

create [graphics-system-name] [scene-handler-name]

  Creates an scene handler for a specific graphics system.
  Attaches current scene, if any. (You can change attached scenes with "/vis/sceneHandler/attach".) Invents a scene handler name if not supplied. This scene handler becomes current.

  Available at all Geant4 states.

  Parameters

  graphics-system-name | type s |  | Parameter candidates : ATree DAWNFILE GAGTree HepRepFile HepRepXML RayTracer VRML1FILE VRML2FILE DAWN OGLIX OGLSX
  scene-handler-name | type s | Omittable : current value is used as the default value. |

list [scene-handler-name] [verbosity]

  Lists scene handler(s).
  "help /vis/verbose" for definition of verbosity.

  Available at all Geant4 states.

  Parameters

  scene-handler-name | type s | Omittable : default value = all |
  verbosity | type s | Omittable : default value = 0 |

select [scene-handler-name]

  Selects a scene handler.
  Makes the scene handler current. "/vis/sceneHandler/list" to see possible scene handler names.

  Available at all Geant4 states.

  Parameters

  scene-handler-name | type s |  |